# [Vue FormKit Example](https://formkit.com)

## Knowledge

- https://youtu.be/v8Sb1mXDWa8
- [sections](https://formkit.com/inputs/text#sections)
- [sections](https://formkit.com/essentials/inputs#sections)
- [useformkitcontext](https://formkit.com/inputs/form#useformkitcontext)
- [debouncing](https://formkit.com/essentials/inputs#debouncing)

  延迟 prop 的默认值是 20 毫秒。然而，group 和 list 输入默认使用 0 毫秒，以防止防抖延迟在每个深度级别“累积”。

## Custom Input

- https://formkit.com/guides/export-and-restructure-inputs
  - `npx formkit@latest export`

## Example

- https://formkit.com/essentials/examples

## Theme

- https://themes.formkit.com/editor?theme=regenesis
- [Creating a Tailwind CSS theme for FormKit](https://dev.to/andrewboyd/creating-a-tailwind-css-theme-for-formkit-45o4)
- [issues: Tailwind prefix support for regenesis theme](https://github.com/formkit/formkit/issues/1157)

## 3rd Party

- https://github.com/mathsgod/formkit-element
