export function debugPlugin(node: import('@formkit/core').FormKitNode) {
  if (['button', 'submit', 'hidden', 'group', 'list', 'meta'].includes(node.props.type)) return;

  node.on('created', () => {
    console.group('[node created]', node.props.label || node.props.submitLabel || node.name);
    console.debug(`node :>> `, node);
    console.debug(`node.props.definition :>> `, node.props.definition);
    console.groupEnd();
  });
}
