import MessagesCmp from '../components/messages.vue';
import { createSection } from '@formkit/inputs';
import { markRaw } from 'vue';

export const messages = createSection('messages', () => ({
  $cmp: markRaw(MessagesCmp) as unknown as never, // [element = node.$cmp](https://github.com/formkit/formkit/blob/2d5387ba98597775cb2a752af65aee84bc438863/packages/vue/src/FormKitSchema.ts#L449)
  props: { context: '$node.context' },
  if: '$defaultMessagePlacement && $fns.length($messages)',
}));
