import { extractorArbitraryVariants } from "@unocss/extractor-arbitrary-variants";
import {
  defineConfig,
  presetUno,
  transformerVariantGroup
} from "unocss";

export default defineConfig({
  presets: [
    presetUno({
      dark: "media",
    }),
  ],
  transformers: [transformerVariantGroup()],
  extractors: [extractorArbitraryVariants()],
});
